summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-c-6
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-c-6')
-rwxr-xr-xgettext-tools/tests/xgettext-c-645
1 files changed, 45 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-c-6 b/gettext-tools/tests/xgettext-c-6
new file mode 100755
index 0000000..3d839aa
--- /dev/null
+++ b/gettext-tools/tests/xgettext-c-6
@@ -0,0 +1,45 @@
+#! /bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test C support: --add-comments option.
+
+cat <<EOF > xg-c-6.in.C
+/* This comment will not be extracted. */
+gettext ("help");
+
+/* XXX: But this one will. */
+gettext_noop ("me");
+
+//XXX: ..and this
+dcgettext ("foo", "quick", LC_MESSAGES);
+
+ /* not not not */
+dgettext ("bar", "!");
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --add-comments=XXX \
+ -d xg-c-6.tmp xg-c-6.in.C || exit 1
+LC_ALL=C tr -d '\r' < xg-c-6.tmp.po > xg-c-6.po || exit 1
+
+cat <<EOF > xg-c-6.ok
+msgid "help"
+msgstr ""
+
+#. XXX: But this one will.
+msgid "me"
+msgstr ""
+
+#. XXX: ..and this
+msgid "quick"
+msgstr ""
+
+msgid "!"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-c-6.ok xg-c-6.po
+result=$?
+
+exit $result